#ifndef BMP2TILES_H
#define BMP2TILES_H

typedef struct rowplane_t
{
  unsigned char ordering;  /* xor'd with pixel order */
  unsigned char direction;
  unsigned char first_bit, n_bits;
} rowplane_t;

typedef struct tile_fmt_name_t
{
  const rowplane_t *format;
  char name[2][8];
  /* We used to store the tile's bit depth here until one of us
     pointed out that the bit depth is the sum of all n_bits in
     the rowplane_t. */
} tile_fmt_name_t;

typedef struct pal_fmt_name_t
{
  const unsigned char *format;  /* as a pascal string */
  char name[2][8];
} pal_fmt_name_t;

void encode_tile(unsigned char *dst,
                 const unsigned char src[],
                 const rowplane_t *fmt);
unsigned int compute_bpp(const rowplane_t *fmt);
int find_format(const char *name);

const rowplane_t *get_format_from_id(int id);
void pr_format_names(void);
void pr_formats(void);
int test_find_format(const char *name);

#endif

